<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.elytron.ldap-key-store.new-item-template">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="new-item-path,new-item-rdn,new-item-attributes"/>
        <elem name="complex-attribute" value="new-item-template"/>
        <elem name="addr-params" value="profile,host,subsystem,ldap-key-store"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <refs>
        <ref feature="subsystem.elytron.ldap-key-store"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="ldap-key-store" feature-id="true"/>
        <param name="new-item-attributes" type="List&lt;String&gt;"/>
        <param name="new-item-rdn"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="new-item-path"/>
    </params>
</feature-spec>